SET format to screen
@ 18,0
@ 16,0
SET intensity off
@ 3,52 say chr(27)+chr(94)
@ 3,52 say 'EXIT SYSTEM'
@ 3,63 say chr(27)+chr(113)
SET intensity on
@ 5,48 say 'A - Exit to the operating system'
@ 6,48 say 'B - Exit to the database manager'
@ 7,48 say 'C - Exit to text editor & return'
@ 8,48 say 'D - Exit to spreadsheet & return'
@ 9,48 say 'E - Exit to another work station'
@ 10,48 say 'F - Exit to function key resetup'
@ 11,48 say 'G - Exit to disk control utility'
@ 12,48 say 'H - Exit to set the system clock'
@ 14,48 say 'R - Exit to the main system menu'
SET intensity off
@ 16,52 say "Option (0-9; A-H or R)? "
SET console off
WAIT to option
SET console on
IF val(option)>0 .or. option='0'
DO changeop
RETU
ENDI
ERAS
DO CASE
CASE !(option)='A'
RESE
SET console off
QUIT
CASE !(option)='B'
USE
RESE
ERAS
SET talk on
CANC
CASE !(option)='C'
RESE
SET console off
QUIT to 'textedit!dbase wstation'
CASE !(option)='D'
RESE
SET console off
QUIT to 'sc2!dbase wstation'
CASE !(option)='E'
USE
RESE
STOR F to handy      
CASE !(option)='F'
USE
RESE
SET console off
QUIT to 'setfkeys!dbase wstation'
CASE !(option)='G'
USE
RESE
SET console off
QUIT to "sweep!dbase wstation"
CASE !(option)='H'
STOR '        ' to date
STOR '        ' to time
@ 18,0 say chr(27)+chr(94)
@ 18,0 say 'SET DATE & TIME'
@ 18,16 say chr(27)+chr(113)
@ 20,0 say 'Allow a minimum of 10 seconds for accurate setting...'
@ 22,0 say 'date (MM/DD/YY) = ';
get date picture 'XX/XX/XX'
@ 22,40 say 'time (HH:MM:SS) = ';
get time picture 'XX:XX:XX'
READ 
STOR "date "+date+' '+time to time
ERAS
IF file('a:exclock.com')
SET console off
QUIT to '&time!exclock!dbase wstation'
ELSE
QUIT to '&time!dbase wstation'
ENDI
ENDC
RETU
